aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJason Conti <jason.conti@gmail.com>2019-06-05 16:34:10 -0400
committerJason Conti <jason.conti@gmail.com>2019-06-05 16:34:10 -0400
commit158883d78593629e381a3b9face53499d0a1cd4e (patch)
tree7de6e2432040c7bfebe4cbd6b2bb6cd8403b1365 /autogen.sh
parent68399184efc40f09d0661f2ace97c80b50f40123 (diff)
downloadayatana-indicator-notifications-158883d78593629e381a3b9face53499d0a1cd4e.tar.gz
ayatana-indicator-notifications-158883d78593629e381a3b9face53499d0a1cd4e.tar.bz2
ayatana-indicator-notifications-158883d78593629e381a3b9face53499d0a1cd4e.zip
* Stop using gnome-autogen.sh
(https://wiki.gnome.org/Projects/GnomeCommon/Migration)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh39
1 files changed, 33 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index 331674a..d9d12ec 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,11 +1,38 @@
#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-PKG_NAME="indicator-notifications"
+olddir=$(pwd)
-which gnome-autogen.sh || {
- echo "You need gnome-common from GNOME Git"
- exit 1
+cd $srcdir
+
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-USE_GNOME2_MACROS=1 \
-. gnome-autogen.sh $@
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi